%define module_name APISchema
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(Class/Accessor/Lite/Lazy.pm) perl(Class/Load.pm) perl(Encode.pm) perl(Exporter.pm) perl(HTML/Escape.pm) perl(HTTP/Message.pm) perl(HTTP/Request/Common.pm) perl(Hash/Merge/Simple.pm) perl(JSON/Pointer.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Path/Class.pm) perl(Plack.pm) perl(Router/Simple.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/Deep/JSON.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Text/Markdown/Hoedown.pm) perl(Text/MicroTemplate.pm) perl(Text/MicroTemplate/DataSection.pm) perl(Text/MicroTemplate/Extended.pm) perl(URI/Escape.pm) perl(URL/Encode.pm) perl(Valiemon.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.37
Release: alt1
Summary: Schema for API
Group: Development/Perl
License: perl
URL: https://github.com/hitode909/APISchema

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKIYM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
APISchema is Schema for API

It provides DSL to describe API specification schema.
It generates router, validator, document from API schema.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.37-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.36-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 1.35-alt1
- regenerated from template by package builder

* Wed Nov 22 2017 Igor Vlasenko <viy@altlinux.ru> 1.30-alt1
- regenerated from template by package builder

* Sat Nov 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.28-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.27-alt1
- regenerated from template by package builder

* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1
- regenerated from template by package builder

* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 1.21-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

